process.chdir(__dirname);

const fs = require('fs');
const config = require('komodo-sdk/config');

if (config && (config.name || config.origin)) {
    global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${config.name || config.origin}`;
    process.title = global.KOMODO_LOG_LABEL;
}
const sdNotify = require('komodo-sdk/sd-notify');

const trxCenter = require('komodo-sdk/center/messaging/trx-center');
const transport = require('./transport');

transport.init(trxCenter.callback);
trxCenter.setTransport(transport);

fs.writeFileSync('pid.txt', `${process.pid}`);
sdNotify();
